Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Interface CertSelector

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  X509CertSelector, AttributeCertificateHolder, AttributeCertificateIssuer

public interface CertSelector
extends java.lang.Cloneable

A selector that defines a set of criteria for selecting `Certificate`s. Classes that implement this interface are often used to specify which `Certificate`s should be retrieved from a `CertStore`.
Concurrent Access
Unless otherwise specified, the methods defined in this interface are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

See Also:
  `Certificate`, `CertStore`, `CertStore.getCertificates(org.bouncycastle.jce.cert.CertSelector)`

Method Summary
`java.lang.Object` | `clone()` Makes a copy of this `CertSelector`.
`boolean` | `match(java.security.cert.Certificate cert)` Decides whether a `Certificate` should be selected.

Method Detail

### match

    public boolean match(java.security.cert.Certificate cert)

  Decides whether a `Certificate` should be selected.
  Parameters:
    `cert` - the `Certificate` to be checked
  Returns:
    `true` if the `Certificate` should be selected, `false` otherwise

### clone

    public java.lang.Object clone()

  Makes a copy of this `CertSelector`. Changes to the copy will not affect the original and vice versa.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of this `CertSelector`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD